import { MigrationInterface, QueryRunner } from 'typeorm';

export class SigningPublicKey1000000000012 implements MigrationInterface {
  name = 'SigningPublicKey1000000000012';

  async up(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.query('ALTER TABLE "users" ADD COLUMN "signingPublicKey" text');
  }

  async down(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.query('ALTER TABLE "users" DROP COLUMN "signingPublicKey"');
  }
}
